org.apache.ignite.internal.processors.rest.request

## Class GridRestRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.rest.request.GridRestRequest

Direct Known Subclasses:
  DataStructuresRequest, GridRestCacheRequest, GridRestChangeStateRequest, GridRestLogRequest, GridRestTaskRequest, GridRestTopologyRequest, RestQueryRequest

    public class GridRestRequest
    extends Object

Grid command request.

### Constructor Summary

Constructors
Constructor and Description
`GridRestRequest()`

### Method Summary

Methods
`InetSocketAddress` `address()`
`void` `address(InetSocketAddress addr)`
`UUID` `clientId()` Gets client ID that performed request.
`void` `clientId(UUID clientId)` Sets client ID that performed request.
`GridRestCommand` `command()`
`void` `command(GridRestCommand cmd)`
`Object` `credentials()` Gets client credentials for authentication process.
`void` `credentials(Object cred)` Sets client credentials for authentication.
`UUID` `destinationId()`
`void` `destinationId(UUID destId)`
`byte[]` `sessionToken()` Gets session token for already authenticated client.
`void` `sessionToken(byte[] sesTok)` Sets session token for already authenticated client.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridRestRequest

    public GridRestRequest()

### Method Detail

#### destinationId

    public UUID destinationId()

Returns:
  Destination ID.

#### destinationId

    public void destinationId(UUID destId)

Parameters:
  `destId` - Destination ID.

#### command

    public GridRestCommand command()

Returns:
  Command.

#### command

    public void command(GridRestCommand cmd)

Parameters:
  `cmd` - Command.

#### clientId

    public UUID clientId()

Gets client ID that performed request.

Returns:
  Client ID.

#### clientId

    public void clientId(UUID clientId)

Sets client ID that performed request.

Parameters:
  `clientId` - Client ID.

#### credentials

    public Object credentials()

Gets client credentials for authentication process.

Returns:
  Credentials.

#### credentials

    public void credentials(Object cred)

Sets client credentials for authentication.

Parameters:
  `cred` - Credentials.

#### sessionToken

    public byte[] sessionToken()

Gets session token for already authenticated client.

Returns:
  Session token.

#### sessionToken

    public void sessionToken(byte[] sesTok)

Sets session token for already authenticated client.

Parameters:
  `sesTok` - Session token.

#### address

    public InetSocketAddress address()

Returns:
  Client address.

#### address

    public void address(InetSocketAddress addr)

Parameters:
  `addr` - Client address.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017